package com.crm.rely.backend.core.dto.ib.trade;

import lombok.Data;

import java.util.Date;

/**
 * @ClassName TradeSwapsEntity
 * @Description
 * @Author y
 * @Date 2023/3/21 17:01
 */
@Data
public class TradeSwapsDto {

    private Long id;

    private Long ticket;

    private Long login;

    private String symbol;

    private Float prevSwaps;

    private Float currentSwaps;

    private Float difference;

    private Float ratio;

    private Float amount;

    private String platform;

    private Date addTime;

    public static TradeSwapsDto getInstance(){
        TradeSwapsDto dto = new TradeSwapsDto();
        dto.setTicket(0L);
        dto.setPrevSwaps(0F);
        dto.setCurrentSwaps(0F);
        dto.setDifference(0F);
        dto.setRatio(0F);
        dto.setAmount(0F);
        dto.setPlatform("-");
        dto.setSymbol("-");
        return dto;
    }


}
